aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/internal_ci/linux
diff options
context:
space:
mode:
authorGravatar Jan Tattermusch <jtattermusch@users.noreply.github.com>2018-05-23 09:55:21 -0700
committerGravatar GitHub <noreply@github.com>2018-05-23 09:55:21 -0700
commit40494bbe89369161fb31a7b7639b16e797e077fb (patch)
tree54d53f42c7d7add9cd51cdabc904833829143dd3 /tools/internal_ci/linux
parentd4f572de310b0bd01ffa27682dab2ae456b086c7 (diff)
parent13b50ac01c2940e1e0327e33d47e83936c9a7900 (diff)
Merge pull request #15503 from jtattermusch/coverage_report_as_zip
upload coverage reports as a zip file
Diffstat (limited to 'tools/internal_ci/linux')
-rwxr-xr-xtools/internal_ci/linux/grpc_coverage.sh14
1 files changed, 13 insertions, 1 deletions
diff --git a/tools/internal_ci/linux/grpc_coverage.sh b/tools/internal_ci/linux/grpc_coverage.sh
index fd927a85fd..97166372ab 100755
--- a/tools/internal_ci/linux/grpc_coverage.sh
+++ b/tools/internal_ci/linux/grpc_coverage.sh
@@ -26,4 +26,16 @@ python tools/run_tests/run_tests.py \
-l all \
-c gcov \
-x sponge_log.xml \
- -j 16
+ -j 16 || FAILED="true"
+
+# HTML reports can't be easily displayed in GCS, so create a zip archive
+# and put it under reports directory to get it uploaded as an artifact.
+zip -q -r coverage_report.zip reports || true
+rm -rf reports || true
+mkdir reports || true
+mv coverage_report.zip reports || true
+
+if [ "$FAILED" != "" ]
+then
+ exit 1
+fi